using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dface_t
	{
		public short planenum;

		public short side;

		public int firstedge;

		public short numedges;

		public short texinfo;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 4)]
		public byte[] styles;

		public int lightofs;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dface_t));
	}
}
